//
//  DetailViewController.h
//  konohana_test
//
//  Created by kunii on 09/11/22.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "KonohanaDB.h"
#import "NewFlowerNameViewController.h"

@interface DetailViewController : UIViewController<UITableViewDelegate, UITableViewDataSource, KonohanaDBDelegate, NewFlowerNameViewControllerDelegate> {
	IBOutlet UIImageView*	imageView;				//	画像表示用
	IBOutlet UITextView*	commentView;			//	投稿コメント表示用
	IBOutlet UITableView*	sugestionTableView;		//	提案テーブル
	KonohanaDB*				db;						//	データベース
	UIImage*				image;					//	画像
	int						contributeID;			//	投稿ID
	NSString*				comment;				//	提案コメント
	NSMutableArray*			result;					//	データベース問い合わせ結果
	BOOL					own;					//	利用者が書き込んだ投稿ならYES
}

@property (nonatomic, retain) UIImage*		image;
@property (nonatomic, retain) NSString*		comment;
@property (nonatomic, retain) KonohanaDB*	db;
@property (nonatomic, assign) int			contributeID;
@property (nonatomic, assign) BOOL			own;

@end
